Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.helper
Class IntrospectionHelper

    java.lang.Object
      com.gisgraphy.helper.IntrospectionHelper

    public class IntrospectionHelper

extends java.lang.Object

Inspect gisFeature and all subClass to retrieve the fields in order to be used by the `ProjectionBean`

Author:
  David Masclet
See Also:
  `IntrospectionIgnoredField`

Constructor Summary
`IntrospectionHelper()`

Method Summary
`static void` | `clearCache()` clear the cache of introspected class
`static java.lang.String[]` | `getGisFeatureFieldsAsArray(java.lang.Class<? extends GisFeature> clazz)`
`static java.util.List<java.lang.String>` | `getGisFeatureFieldsAsList(java.lang.Class<? extends GisFeature> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntrospectionHelper

    public IntrospectionHelper()

Method Detail

### clearCache

    public static void clearCache()

  clear the cache of introspected class

### getGisFeatureFieldsAsList

    public static java.util.List<java.lang.String> getGisFeatureFieldsAsList(java.lang.Class<? extends GisFeature> clazz)

  Parameters:
    `clazz` - the class to inspect
  Returns:
    a list of all private fields of the specified class that are not :
    - Of type List
    - Annoted with `IntrospectionIgnoredField`
    - Synthetic
    The result of the method will be cached see http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Field.html

### getGisFeatureFieldsAsArray

    public static java.lang.String[] getGisFeatureFieldsAsArray(java.lang.Class<? extends GisFeature> clazz)

  Parameters:
    `clazz` - the class to inspect
  Returns:
    an Array of all private fields of the specified class that are not :
    - Of type List
    - Annoted with `IntrospectionIgnoredField`
    - Synthetic
    The result of the method will be cached see http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Field.html

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.